#include"lpc17xx.h"
#include "lpc17xx_gpio.h"
volatile unsigned long SysTickCnt;
void SysTick_Handler (void);
void Delay (unsigned long tick);
void SysTick_Handler (void) {
  SysTickCnt++;
}

void Delay (unsigned long tick) {
  unsigned long systickcnt;

  systickcnt = SysTickCnt;
  while ((SysTickCnt - systickcnt) < tick);
}

int main(void){
/* SystemClockUpdate() updates the SystemFrequency variable */
 SystemClockUpdate();
	
 GPIO_SetDir(0, 0x00000001, 1);             /* LED on P0.0 defined as Output    */ 
 GPIO_ClearValue(0, 0x00000001); 
 SysTick_Config(SystemFrequency/1000 ); /* Generate interrupt each 1 ms  SystemCoreClock */ 
 
 while(1){            
  GPIO_SetValue(0,0x00000001);             /* LED on P0.0 on    */ 
  Delay(5);
  GPIO_ClearValue(0, 0x00000001);         /* LED on P0.0 off    */ 
  Delay(5);
 
 }
 }
